services:
  sonarr:
    image: linuxserver/sonarr:latest
    container_name: sonarr
    environment:
      - PUID=1032
      - PGID=65537
      - TZ=America/Vancouver
      - UMASK=022
    volumes:
      - /volume1/docker/sonarr:/config
      - /volume1/data:/data
    ports:
      - 8989:8989/tcp
    network_mode: mediabridge
    security_opt:
      - no-new-privileges:true
    restart: always

  # lidarr:
  #  image: linuxserver/lidarr:latest
  #  container_name: lidarr
  #  environment:
  #     - PUID=1032
  #     - PGID=65537
  #     - TZ=America/Vancouver
  #     - UMASK=022
  #   volumes:
  #     - /volume1/docker/lidarr:/config
  #     - /volume1/data:/data
  #   ports:
  #     - 8686:8686/tcp
  #   network_mode: mediabridge
  #   security_opt:
  #     - no-new-privileges:true
  #   restart: always

  radarr:
    image: linuxserver/radarr:latest
    container_name: radarr
    environment:
      - PUID=1032
      - PGID=65537
      - TZ=America/Vancouver
      - UMASK=022
    volumes:
      - /volume1/docker/radarr:/config
      - /volume1/data:/data
    ports:
      - 7878:7878/tcp
    network_mode: mediabridge
    security_opt:
      - no-new-privileges:true
    restart: always

  # readarr:
  #   image: linuxserver/readarr:develop
  #   container_name: readarr
  #   environment:
  #     - PUID=1032
  #     - PGID=65537
  #     - TZ=America/Vancouver
  #     - UMASK=022
  #   volumes:
  #     - /volume1/docker/readarr:/config
  #     - /volume1/data/:/data
  #   ports:
  #     - 8787:8787/tcp
  #   network_mode: mediabridge
  #   security_opt:
  #     - no-new-privileges:true
  #   restart: always

  bazarr:
    image: linuxserver/bazarr:latest
    container_name: bazarr
    environment:
      - PUID=1032
      - PGID=65537
      - TZ=America/Vancouver
      - UMASK=022
    volumes:
      - /volume1/docker/bazarr:/config
      - /volume1/data/:/data
    ports:
      - 6767:6767/tcp
    network_mode: mediabridge
    security_opt:
      - no-new-privileges:true
    restart: always
    
  prowlarr:
    image: linuxserver/prowlarr:latest
    container_name: prowlarr
    environment:
      - PUID=1032
      - PGID=65537
      - TZ=America/Vancouver
      - UMASK=022
    volumes:
      - /volume1/docker/prowlarr:/config
    ports:
      - 9696:9696/tcp
    network_mode: mediabridge
    security_opt:
      - no-new-privileges:true
    restart: always